Subject: Summary: Upgrading to Fortran 90/95

From: "Gustavo Moura" <[email-masked]>
Date: Thu, 1 Apr 1999 20:26:46 -0500

Dear CCL readers,
	last monday I posted the following question:
	"Can someone out there suggest a good book on upgrading to
Fortran 90/95 for someone with a reasonable knowledge of Fortran 77?
I am about to start writing a program and I would like to take
advantage of the new capabilities of Fortran 90/95. "
	Here you have a summary of the responses that I have received.
My thanks to Sven Bovin, Matt Wessel, Huub van Dam and Joao Brandao.
	Sincerely yours,
				Gustavo L.C. Moura
			 [email-masked]
x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x

>From Sven Bovin:

>There is a web page out there with -- IMHO -- a number of
>good texts for just that purpose:
>
> http://metalab.unc.edu/pub/languages/fortran/append-g.html
>
>The text I've used (and am using) is the `Manchester
>Fortran 90 for Fortran 77 programmers course'  It focusses
>mainly on the differences between FORTRAN 77 and Fortran 90
>and is freely available.
>
>I hope this is helpfull to you

>From Matt Wessel:

>I have the book Fortran 90 by Loren P. Meissner, published by PWS,
>Boston.  It's pretty good at getting you through the basics of FOrtran
>90, and has some 77 to 90 transition tips.  Hope this helps.

>From Huub van Dam:

>I think "Fortran 90 explained" by Metcalf is okay. Otherwise there
>is a list of books published by NAG at
>http://www.nag.co.uk/nagware/Fortran90/books.html how about "migrating
>to Fortran 90"?

>From Joao Brandao:

>I would recommend
>
>M. Metcalf and John Reid
>     FORTRAN 90/95 explained
>     Oxford Science Publications
>     ISBN 0-19-851888-9